<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/22 17:19
 */

namespace App\Http\Controllers\Backend\Server\System;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Backend\Server\System\CaptchaService;
use Illuminate\Http\JsonResponse;
use Illuminate\Support\Arr;
use function PHPUnit\Framework\assertTrue;

class CaptchaController extends Controller
{
    public function index(Request $request): JsonResponse
    {
        assertTrue($request->server('REMOTE_ADDR') != null);
        // 获取验证码
        $params = $request->all();
        $browserInfo = $this->getRemoteId($request);
        Arr::pull($params, 'browserInfo', $browserInfo);
        $res = (new CaptchaService())->get($params);
        return self::success($res);
    }

    protected function getRemoteId(Request $request)
    {
        $ip = $request->getClientIp();
        $ua = $request->header('User-Agent');
        (empty($ip)) && ($ip = $_SERVER['REMOTE_ADDR']);
        return $ip + $ua;
    }
}
