<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/26 11:48
 */

namespace App\Http\Controllers\Backend\Server\System;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Backend\Server\System\DictDataService;
use App\Http\Services\Backend\Server\System\DictTypeService;
use App\Models\System\DictData;
use App\Models\System\DictType;
use Illuminate\Http\JsonResponse;

class DictDataController extends Controller
{

    private DictDataService $dictDataService;

    public function __construct(DictDataService $dictDataService)
    {
        $this->dictDataService = $dictDataService;
    }

    public function index(Request $request)
    {
        $params = $request->all();
        $res = $this->dictDataService->getDictDataList($params);
        return self::success($res);
    }

    public function store(Request $request)
    {
        $params = $request->all();
        $res = $this->dictDataService->createDictData($params);
        return self::success($res);
    }

    public function show(int $id)
    {
        $res = $this->dictDataService->getDictData($id);
        return self::success($res);
    }

    public function update(Request $request, int $id)
    {
        $data = $request->all();
        $this->dictDataService->updateDictData($data, $id);
        return self::success(true);
    }

    public function destroy(int $id)
    {
        $res = $this->dictDataService->deleteDictData($id);
        return self::success($res);
    }

    public function simpleList()
    {
        $select = ["dict_type as dictType", "value", "label", "color_type as colorType", "css_class as cssClass"];
        $dictData = DictData::query()->where('status', 0)->select($select)->get();
        return self::success($dictData->toArray());
    }
}
