<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/8/26 11:48
 */

namespace App\Http\Controllers\Backend\Server\System;

use App\Http\Controllers\Controller;
use App\Http\Requests\Request;
use App\Http\Services\Backend\Server\System\DictTypeService;
use App\Http\Services\Backend\Server\System\MenuService;
use App\Models\System\DictType;
use Illuminate\Http\JsonResponse;

class DictTypeController extends Controller
{
    private DictTypeService $dictTypeService;

    function __construct(DictTypeService $dictTypeService)
    {
        $this->dictTypeService = $dictTypeService;
//        $this->middleware('permission:system:menu:query|system:menu:create|system:menu:update|system:menu:delete', ['only' => ['index', 'show']]);
//        $this->middleware('permission:system:menu:create', ['only' => ['create', 'store']]);
//        $this->middleware('permission:system:menu:update', ['only' => ['edit', 'update']]);
//        $this->middleware('permission:system:menu:delete', ['only' => ['destroy']]);
    }

    public function index(Request $request): JsonResponse
    {
        $params = $request->safe()->only(['name', 'type', 'status', 'createTime']);
        $params['pageNo'] = $request->get('pageNo', 1);
        $params['pageSize'] = $request->get('pageSize', 10);
        $res = $this->dictTypeService->getDictTypeList($params);
        return self::success($res);
    }

    public function show($id)
    {
        $res = $this->dictTypeService->getDictType($id);
        return self::success($res);
    }

    public function store(Request $request): JsonResponse
    {
        $data = $request->only(['name', 'type', 'status', 'remark']);
        $res = $this->dictTypeService->createDictType($data);
        return self::success($res);
    }

    public function update(Request $request, int $id)
    {
        $params = $request->all();
        $this->dictTypeService->updateDictType($params, $id);
        return self::success(true);
    }

    public function destroy(int $id)
    {
        $res = $this->dictTypeService->deleteDictType($id);
        return self::success($res);
    }
}
