<?php

namespace App\Http\Controllers\Backend\Server\System;

use App\Exceptions\ApiException;
use App\Http\Controllers\Controller;
use App\Http\Services\Backend\Server\System\RoleService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class RoleController extends Controller
{
    private RoleService $roleService;

    public function __construct(RoleService $roleService)
    {
        $this->roleService = $roleService;
    }

    public function index(Request $request): JsonResponse
    {
        // 处理首页逻辑
        $params = $request->all();
        $res = $this->roleService->getRoleList($params);
        return self::success($res);
    }

    public function show($id)
    {
        // 处理显示单个用户的逻辑
    }

    public function create()
    {
        // 显示创建用户的表单
    }

    /**
     * @throws ApiException
     */
    public function store(Request $request): JsonResponse
    {
        $params = $request->all();
        $res = $this->roleService->createRole($params);
        return self::success($res);
    }

    public function edit($id)
    {
        // 显示编辑用户的表单
    }

    /**
     * @throws ApiException
     */
    public function update(Request $request, $id): JsonResponse
    {
        // 更新用户逻辑
        $params = $request->all();
        $res = $this->roleService->updateRole($params, $id);
        return self::success(!!$res);
    }

    public function destroy($id): JsonResponse
    {
        // 删除用户逻辑
        $res = $this->roleService->deleteRole($id);
        return self::success(!!$res);
    }

//    public function permissions($id)
//    {
//        $res = $this->roleService->getRolePermissions($id);
//        return self::success($res);
//    }
}
