<?php

namespace App\Http\Controllers;

use App\Exceptions\ApiException;
use \Illuminate\Http\Response;
use Illuminate\Http\JsonResponse;
use Illuminate\Support\Arr;
use Illuminate\Support\Str;

abstract class Controller extends \Illuminate\Routing\Controller
{
    public static function success($result = null, $message = null, $code = 0): JsonResponse
    {
        if (is_null($result) && is_null($message)) return response()->json();
        $data = ['code' => $code];
        !is_null($result) && ($data = Arr::add($data, 'data', $result));
        !is_null($message) && ($data = Arr::add($data, 'msg', $message));
        return response()->json($data);
    }

    public function fail($message = null, $code = -1): JsonResponse
    {
        $data = ['code' => $code];
        !is_null($message) && ($data = Arr::add($data, 'msg', $message));
        return response()->json($data);
    }

}
