<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2024/3/20 14:54
 */

namespace App\Http\Requests\Backend\Server\System;

use App\Http\Requests\Request;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Route;
use Illuminate\Validation\Rule;

class MenuRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, array|string>
     */
    public function rules(): array
    {
        $rules = [
            'name' => ['bail', 'required', 'string', 'max:50'],
            'permission' => ['bail', 'nullable', 'string', 'max:100'],
            'type' => ['bail', 'required', 'integer', Rule::in([1, 2, 3])],
            'sort' => ['bail', 'integer'],
            'parentId' => ['bail', 'integer'],
            'path' => ['bail', 'nullable', 'string', 'max:200'],
            'icon' => ['bail', 'nullable', 'string', 'max:100'],
            'component' => ['bail', 'nullable', 'string', 'max:255'],
            'componentName' => ['bail', 'nullable', 'string', 'max:255'],
            'status' => ['bail', 'integer'],
            'visible' => ['bail', 'bool'],
            'keepAlive' => ['bail', 'bool'],
            'alwaysShow' => ['bail', 'bool'],
            //uniquewith-validator
            //Rule::unique('users')->ignore($user->id),
//            unique:table,column,except,idColumn
//            Rule::unique('facilities', 'name')->ignoreModel(Facility::find($this->request->get('id')))
        ];
        $actionName = last(explode('@', Route::current()->getActionName()));
        if ($actionName === 'store') {
//            $rules['name'] = 'required|unique:roles,name';
        }
        return $rules;
    }

    public function messages(): array
    {
        return [
            'name.required' => '请输入菜单名称！',
            'type.required' => '请选择菜单类型！',
            'type.in' => '菜单类型错误！',
            '*' => '1参数错误！'
        ];
    }
}
