<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('system_dict_type', function (Blueprint $table) {
            $table->id()->comment('字典主键');
            $table->string('name', 100)->comment('字典名称');
            $table->string('type', 100)->comment('字典类型');
            $table->tinyInteger('status')->default(0)->comment('状态（0正常 1停用）');
            $table->string('remark', 500)->nullable()->comment('备注');
            $table->string('creator', 64)->nullable()->comment('创建者');
            $table->string('updater', 64)->nullable()->comment('更新者');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('system_dict_type');
    }
};
