<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('system_dict_data', function (Blueprint $table) {
            $table->id()->comment('字典编码');
            $table->integer('sort')->default(0)->comment('字典排序');
            $table->string('label', 100)->comment('字典标签');
            $table->string('value', 100)->comment('字典键值');
            $table->string('dict_type', 100)->comment('字典类型');
            $table->tinyInteger('status')->default(0)->comment('状态（0正常 1停用）');
            $table->string('color_type', 100)->nullable()->comment('颜色类型');
            $table->string('css_class', 100)->nullable()->comment('css 样式');
            $table->string('remark', 500)->nullable()->comment('备注');
            $table->string('creator', 64)->nullable()->comment('创建者');
            $table->string('updater', 64)->nullable()->comment('更新者');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('system_dict_data');
    }
};
