<?php

namespace Database\Seeders;

use App\Models\System\Menu;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemMenusTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // 目录
        DB::table('system_menus')->insert(['id' => 1, 'name' => '系统菜单', 'type' => 1, 'path' => '/system', 'icon' => 'ep:tools', 'creator' => '系统']);

        // 菜单
        DB::table('system_menus')->insert(['id' => 100, 'name' => '用户管理', 'type' => 2, 'parent_id' => 1, 'path' => 'user', 'icon' => 'ep:avatar', 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 110, 'name' => '角色管理', 'type' => 2, 'parent_id' => 1, 'path' => 'role', 'icon' => 'ep:user', 'component' => 'system/role/index', 'component_name' => 'SystemRole', 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 120, 'name' => '菜单管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 130, 'name' => '部门管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 140, 'name' => '岗位管理', 'type' => 2, 'parent_id' => 1, 'path' => 'menu', 'icon' => 'ep:menu', 'component' => 'system/menu/index', 'component_name' => 'SystemMenu', 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 150, 'name' => '字典管理', 'type' => 2, 'parent_id' => 1, 'path' => 'dict', 'icon' => 'ep:collection', 'component' => 'system/dict/index', 'component_name' => 'SystemDictType', 'creator' => '系统']);

        // 按钮
        // 菜单管理
        DB::table('system_menus')->insert(['id' => 121, 'name' => '菜单查询', 'type' => 3, 'parent_id' => 120, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 122, 'name' => '菜单新增', 'type' => 3, 'parent_id' => 120, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 123, 'name' => '菜单修改', 'type' => 3, 'parent_id' => 120, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 124, 'name' => '菜单删除', 'type' => 3, 'parent_id' => 120, 'creator' => '系统']);
        // 字典管理
        DB::table('system_menus')->insert(['id' => 151, 'name' => '字典查询', 'type' => 3, 'parent_id' => 150, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 152, 'name' => '字典新增', 'type' => 3, 'parent_id' => 150, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 153, 'name' => '字典修改', 'type' => 3, 'parent_id' => 150, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 154, 'name' => '字典删除', 'type' => 3, 'parent_id' => 150, 'creator' => '系统']);
        DB::table('system_menus')->insert(['id' => 155, 'name' => '字典导出', 'type' => 3, 'parent_id' => 150, 'creator' => '系统']);


        // 角色菜单
        // 菜单管理
        DB::table('system_role_has_menus')->insert(['menu_id' => 1, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 120, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 121, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 122, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 123, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 124, 'role_id' => 1]);
        // 字典管理
        DB::table('system_role_has_menus')->insert(['menu_id' => 150, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 151, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 152, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 153, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 154, 'role_id' => 1]);
        DB::table('system_role_has_menus')->insert(['menu_id' => 155, 'role_id' => 1]);


    }
}
