<?php

namespace Database\Seeders;

use App\Models\System\Menu;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SystemPermissionsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        DB::table('system_permissions')->insert(['name' => 'system:user:query']);
        DB::table('system_permissions')->insert(['name' => 'system:user:create']);
        DB::table('system_permissions')->insert(['name' => 'system:user:update']);
        DB::table('system_permissions')->insert(['name' => 'system:user:delete']);
        DB::table('system_permissions')->insert(['name' => 'system:user:export']);
        DB::table('system_permissions')->insert(['name' => 'system:user:import']);
        DB::table('system_permissions')->insert(['name' => 'system:user:update-password']);

        DB::table('system_permissions')->insert(['name' => 'system:role:query']);
        DB::table('system_permissions')->insert(['name' => 'system:role:create']);
        DB::table('system_permissions')->insert(['name' => 'system:role:update']);
        DB::table('system_permissions')->insert(['name' => 'system:role:delete']);
        DB::table('system_permissions')->insert(['name' => 'system:role:export']);

        DB::table('system_permissions')->insert(['id' => 121,'name' => 'system:menu:query']);
        DB::table('system_permissions')->insert(['id' => 122,'name' => 'system:menu:create']);
        DB::table('system_permissions')->insert(['id' => 123,'name' => 'system:menu:update']);
        DB::table('system_permissions')->insert(['id' => 124,'name' => 'system:menu:delete']);

        DB::table('model_has_permissions')->insert(['permission_id' => 121,'model_type' => Menu::class, 'model_id' => 121]);
        DB::table('model_has_permissions')->insert(['permission_id' => 122,'model_type' => Menu::class, 'model_id' => 122]);
        DB::table('model_has_permissions')->insert(['permission_id' => 123,'model_type' => Menu::class, 'model_id' => 123]);
        DB::table('model_has_permissions')->insert(['permission_id' => 124,'model_type' => Menu::class, 'model_id' => 124]);

        // 字典管理
        DB::table('system_permissions')->insert(['id' => 151,'name' => 'system:dict:query']);
        DB::table('system_permissions')->insert(['id' => 152,'name' => 'system:dict:create']);
        DB::table('system_permissions')->insert(['id' => 153,'name' => 'system:dict:update']);
        DB::table('system_permissions')->insert(['id' => 154,'name' => 'system:dict:delete']);
        DB::table('system_permissions')->insert(['id' => 155,'name' => 'system:dict:export']);

        DB::table('model_has_permissions')->insert(['permission_id' => 151,'model_type' => Menu::class, 'model_id' => 151]);
        DB::table('model_has_permissions')->insert(['permission_id' => 152,'model_type' => Menu::class, 'model_id' => 152]);
        DB::table('model_has_permissions')->insert(['permission_id' => 153,'model_type' => Menu::class, 'model_id' => 153]);
        DB::table('model_has_permissions')->insert(['permission_id' => 154,'model_type' => Menu::class, 'model_id' => 154]);
        DB::table('model_has_permissions')->insert(['permission_id' => 155,'model_type' => Menu::class, 'model_id' => 155]);

    }
}
