<?php

use App\Http\Controllers\Backend\Server\System\AuthController;
use App\Http\Controllers\Backend\Server\System\CaptchaController;
use App\Http\Controllers\Backend\Server\System\DictDataController;
use App\Http\Controllers\Backend\Server\System\DictTypeController;
use App\Http\Controllers\Backend\Server\System\MenuController;
use App\Http\Controllers\Backend\Server\System\NotifyMessageController;
use App\Http\Controllers\Backend\Server\System\PermissionController;
use App\Http\Controllers\Backend\Server\System\RoleController;
use App\Http\Controllers\Backend\Server\System\UserController;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return ['Laravel' => app()->version()];
});

Route::prefix('client')->group(function () {
    Route::get('/', function () {
        return ['Laravel' => 'Backend client'];
    });
});

//Route::prefix('server')->group(function () {

# 注册
//    Route::post('/register', [RegisteredUserController::class, 'store'])
//        ->middleware('guest')
//        ->name('register');

Route::prefix('system')->group(function () {
    Route::post('auth/login', [AuthController::class, 'login']);
    Route::get('auth/get-permission-info', [AuthController::class, 'getPermissionInfo']);


    Route::get('menu/simple-list', [MenuController::class, 'simpleList']);

    Route::get('notify-message/get-unread-count', [NotifyMessageController::class, 'getUnreadCount']);

    Route::resource('users', UserController::class);
    Route::resource('menu', MenuController::class);

    Route::get('dict-data/simple-list', [DictDataController::class, 'simpleList']);
    Route::resource('dict-type', DictTypeController::class);
    Route::resource('dict-data', DictDataController::class);


    Route::resource('role', RoleController::class);
//    Route::get('role/permissions/{id}',[ RoleController::class , 'permissions']);
    Route::resource('captcha', CaptchaController::class);
    Route::resource('permissions', PermissionController::class);
    Route::get('permission/role_menus/{id}',[PermissionController::class,'getRoleMenus'] );
    Route::post('permission/assign_role_menu/{id}',[PermissionController::class,'assignRoleMenu'] );


});
//});

require __DIR__ . '/auth.php';
